(function($){
	$(document).ready(function() {
		mb_init_chosen();
		mb_condition_fields();
		mb_listen_fields_changed();
		mb_field_required();

		$(document).on('click', '.single_add_to_cart_button', function(e) {
			var personalized_field = $('.mb-field [data-field_name]');
			if ( personalized_field.length > 0 ) {
				mb_field_required();
			}
		});
		
		$(document).on('woocommerce_variation_has_changed', function() {
			mb_field_required();
		});
	});

	function mb_field_required() {
		var personalized_field = $('.mb-field [data-field_name]');
			if ( personalized_field.length > 0 ) {

			var empty_fields = [];
			var required_empty_fields = [];
			var count_total_fields = [];
			var add_to_cart_btn = $('.single_add_to_cart_button');

			$('.mb-field [data-field_name]').each( function() {
				var $this = $(this);
				var field_name = $this.attr('data-field_name');
				var is_requried_field = $this.hasClass('mb-required');
				var parent_field = $this.closest('.mb-field');
				var is_parent_visible = parent_field.is(":visible");
				
				var is_requried = false;
				if ( is_requried_field && is_parent_visible ) {
					is_requried = true;
				}
				count_total_fields.push('1');
				var current_val = '';

				if ( $this.is( 'ul' ) ) {
					if ( $this.hasClass('mb-radio-wrap') ) { // radio
						var checked_checkbox = $this.find('.mb-radio-field:checked');
						if ( checked_checkbox.length > 0 ) {
							current_val = checked_checkbox.val();
						}
					} else { // checkbox
						var checkbox_val = [];
						var i = 0;
						$this.find('.mb-checkbox-field:checked').each(function () {
							checkbox_val[i] = $(this).val();
							i++;
						});   
						current_val = checkbox_val;   
					}
				} else {
					current_val = $this.val();
				}

				if ( 'undefined' == typeof current_val || null == current_val || '' == current_val || [] == current_val ) {
					empty_fields.push( field_name );
					if ( is_requried ) {
						required_empty_fields.push( field_name );
					}
				}
			});

			var error_requried = false;
			if ( required_empty_fields.length > 0 ) { // have at least one required field empty.
				error_requried = true;
			} else if ( empty_fields.length > 0 && empty_fields.length == count_total_fields.length ) { // total empty fields = total fields.
				// error_requried = true; ==> enable if you want buyer fill in at least one field, don't care required field or not.
			}

			if ( error_requried ) {

				add_to_cart_btn.addClass('disabled mb-disabled');
				return false;
			} else {

				if ( add_to_cart_btn.hasClass('mb-disabled') ) {
					add_to_cart_btn.removeClass('mb-disabled');
				}

				if ( ! add_to_cart_btn.hasClass('wc-variation-selection-needed') ) {
					add_to_cart_btn.removeClass('disabled');
				}

			}
		}
		
	}

	function mb_listen_fields_changed() {
		$(document).on('change', '.mb-field input[type="checkbox"], .mb-field input[type="radio"], .mb-field select', function() {
			mb_condition_fields();
			mb_field_required();
		});

		$(document).on('keyup change', '.mb-field input[type="text"], .mb-field input[type="number"], .mb-field textarea', function() {
			mb_condition_fields();
			mb_field_required();
		});
	}

	function mb_init_chosen() {
		var target = $('.mb-chosen');
		if ( target.length > 0 ) {
			target.each(function() {
				$(this).chosen({
					allow_single_deselect: true,
					width: '100%'
				});
			});
		}
		
	}

	function mb_condition_fields() {
		if ( $('[data-enable_condition="yes"]').length > 0 ) {
			$('[data-enable_condition="yes"]').each( function() {
				var $this = $(this);
				var wraper = $this.closest('.mb-field');
				var condition_type = $this.attr('data-condition_type');
				var condition_match = $this.attr('data-condition_match');
				var condition_rules = JSON.parse( $this.attr('data-condition_rules') );
				var configure = {
					enabled: true,
					rules: condition_rules,
					type: condition_type,
					match: condition_match,
				}

				var is_visible = field_is_visible( configure );
				
				if ( ! is_visible ) {
					// wraper.removeClass('mb-hidden mb-visible').addClass('mb-hidden').hide( 450, 'linear' );
					wraper.removeClass('mb-hidden mb-visible').addClass('mb-hidden').hide();
				} else {
					// wraper.removeClass('mb-hidden mb-visible').addClass('mb-visible').show( 450, 'linear' );
					wraper.removeClass('mb-hidden mb-visible').addClass('mb-visible').show();
				}
				
			});
		}
	}

	function get_field_value( fieldName ) {
		var value = null;
		var target = $('[data-field_name="'+fieldName+'"]');
		if ( target.length > 0 ) {
			if ( target.is( 'ul' ) ) {
				if ( target.hasClass('mb-radio-wrap') ) { // radio
					var checked_checkbox = target.find('.mb-radio-field:checked');
					if ( checked_checkbox.length > 0 ) {
						value = checked_checkbox.val();
					}
				} else { // checkbox
					var checkbox_val = [];
					var i = 0;
					target.find('.mb-checkbox-field:checked').each(function () {
						checkbox_val[i] = $(this).val();
						i++;
					});   
					value = checkbox_val;   
				}
			} else {
				value = target.val();
			}
		}
		return value;
	}

	function is_array_subset( array_one, array_two ) {
		for ( var i=0; i < array_two.length; i++ ) {
			if ( array_one.indexOf( array_two[i] ) == -1 ) {
				return false;
			}
		}
		return true;
	}

	function field_is_visible( visibility ) {
		var operatorFunc = {
			equal: (a, b) => {
				var a_equal_b = ( a === b );
				if ( ! a_equal_b ) {
					if ( Array.isArray( a ) && Array.isArray( b ) ) {
						return is_array_subset( a, b );
					} else if ( Array.isArray( a ) || Array.isArray( b ) ) {
						return a.includes( b );
					}
				}
			  	return a_equal_b; //   return a === b;
			},
			notEqual: (a, b) => {
			  return a !== b;
			},
			startsWith: (a, b) => {
			  return a.startsWith(b);
			},
			endsWith: (a, b) => {
			  return a.endsWith(b);
			},
			contains: (a, b) => {
			  return a.includes(b);
			},
			notContains: (a, b) => {
			  return !a.includes(b);
			},
			greaterThan: (a, b) => {
			  return a > b;
			},
			lessThan: (a, b) => {
			  return a < b;
			}
		};
	  
		if (visibility.enabled && visibility.rules.length) {
			let visible = visibility.type === "show";
			let matchAll = true;
			let matchAny = false;
			for (let i = 0; i < visibility.rules.length; i++) {
				const rule = visibility.rules[i];
				const a = get_field_value(rule.field);
				const b = rule.value;
				const isMatched = operatorFunc[rule.operator](a, b);
				if (isMatched) {
					matchAny = true;
					if (visibility.match === "any") {
						break;
					}
				} else {
					if (visibility.match === "all") {
						matchAll = false;
						break;
					}
				}
			}
			if (!matchAll) {
				visible = !visible;
			}
			if (visibility.match === "any") {
				if (!matchAny) {
					visible = !visible;
				}
			}
			return visible;
		}
		return true;
	}
	
})(jQuery);
