
<div class="mb-field mb-field-type-<?php echo esc_attr( $field_type ); ?> mb-field-<?php echo esc_attr( $value['field_name'] ); ?>">
	<label for="mb-field-<?php echo esc_attr( $value['field_name'] ); ?>">
		<?php echo esc_html( $value['title'] ); ?>
		<?php echo ( isset( $is_field_required ) && $is_field_required ) ? '<span class="mb-required-symbol">(*)</span>' : ''; ?>
	</label>
	<span class="mb-field-desc"><?php echo wp_kses_post( $description ); ?></span>
	<input type="hidden" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][title]" value="<?php echo esc_attr( $value['title'] ); ?>"/>
	<?php if ( isset( $value['field_id'] ) && ! empty( $value['field_id'] ) ) { ?>
		<input type="hidden" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][field_id]" value="<?php echo esc_attr( $value['field_id'] ); ?>"/>
	<?php } ?>
	<ul class="mb-checkbox-wrap mb-form-field <?php echo esc_attr( $class_required ); ?>" <?php echo $data_field_name; ?> <?php echo ( isset( $condition_attr ) && ! empty( $condition_attr ) ) ? $condition_attr : ''; ?>>
		<?php
		if ( is_array( $options ) && ! empty( $options ) ) {
			foreach ( $options as $key => $val ) {
				$is_checked = '';
				if ( is_array( $default_value ) && in_array( $val, $default_value ) ) {
					$is_checked = 'checked="checked"';
				} elseif ( is_string( $default_value ) && $default_value == $val ) {
					$is_checked = 'checked="checked"';
				}
				?>
					<li class="mb-checkbox-item">
						<label class="mb-checkbox-item-label" for="mb-checkbox-item-<?php echo esc_attr( $value['field_name'] ); ?>-<?php echo esc_attr( $key ); ?>">
							<input type="checkbox" class="<?php echo esc_attr( $class_required ); ?> mb-checkbox-field mb-checkbox-item-<?php echo esc_attr( $value['field_name'] ); ?>-<?php echo esc_attr( $key ); ?>" id="mb-checkbox-item-<?php echo esc_attr( $value['field_name'] ); ?>-<?php echo esc_attr( $key ); ?>" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][value][]" value="<?php echo esc_attr( $val ); ?>" <?php echo $is_checked; ?>>
							<span class="mb-checkbox-item-title"><?php echo esc_html( $val ); ?></span>
						</label>
					</li>
				<?php
			}
		}
		?>
	</ul>
</div>

