<?php
	
	$mode = ( isset( $value['configs'] ) && isset( $value['configs']['settings'] ) && isset( $value['configs']['settings']['mode'] ) ) ? $value['configs']['settings']['mode'] : 'default';

	$select_tag_name = sprintf( 'pm_personalized[%s][value]', esc_attr( $value['field_name'] ) );
	if ( 'multiple' == $mode ) {
		$select_tag_name .= '[]';
	}
?>
<div class="mb-field mb-field-type-<?php echo esc_attr( $field_type ); ?> mb-field-<?php echo esc_attr( $value['field_name'] ); ?>">
	<label for="mb-field-<?php echo esc_attr( $value['field_name'] ); ?>">
		<?php echo esc_html( $value['title'] ); ?>
		<?php echo ( isset( $is_field_required ) && $is_field_required ) ? '<span class="mb-required-symbol">(*)</span>' : ''; ?>
	</label>
	<span class="mb-field-desc"><?php echo wp_kses_post( $description ); ?></span>
	<input type="hidden" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][title]" value="<?php echo esc_attr( $value['title'] ); ?>"/>
	<?php if ( isset( $value['field_id'] ) && ! empty( $value['field_id'] ) ) { ?>
		<input type="hidden" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][field_id]" value="<?php echo esc_attr( $value['field_id'] ); ?>"/>
	<?php } ?>
	<select <?php echo $attr_required; ?> <?php echo $data_field_name; ?> <?php echo ( isset( $condition_attr ) && ! empty( $condition_attr ) ) ? $condition_attr : ''; ?> data-placeholder="<?php echo esc_attr( $placeholder ); ?>" id="mb-field-<?php echo esc_attr( $value['field_name'] ); ?>" class="<?php echo esc_attr( $class_required ); ?> mb-chosen mb-form-field" name="<?php echo esc_attr( $select_tag_name ); ?>" <?php echo ( 'multiple' == $mode ) ? 'multiple="multiple"' : ''; ?>>
		<?php if ( is_array( $options ) && ! empty( $options ) ) { ?>
			<?php foreach ( $options as $key => $val ) { ?>
				<option value="<?php echo esc_attr( $val['value'] ); ?>" <?php selected( $default_value, $val['value'] ); ?>><?php echo esc_html( $val['label'] ); ?></option>
			<?php } ?>
		<?php } ?>
	</select>
</div>
