<?php
	$min = ( isset( $value['configs'] ) && isset( $value['configs']['settings'] ) && isset( $value['configs']['settings']['min'] ) && is_numeric( $value['configs']['settings']['min'] ) ) ? $value['configs']['settings']['min'] : '';
	$max = ( isset( $value['configs'] ) && isset( $value['configs']['settings'] ) && isset( $value['configs']['settings']['max'] ) && is_numeric( $value['configs']['settings']['max'] ) ) ? $value['configs']['settings']['max'] : '';
?>
<div class="mb-field mb-field-type-<?php echo esc_attr( $field_type ); ?> mb-field-<?php echo esc_attr( $value['field_name'] ); ?>">
	<label for="mb-field-<?php echo esc_attr( $value['field_name'] ); ?>">
		<?php echo esc_html( $value['title'] ); ?>
		<?php echo ( isset( $is_field_required ) && $is_field_required ) ? '<span class="mb-required-symbol">(*)</span>' : ''; ?>
	</label>
	<span class="mb-field-desc"><?php echo wp_kses_post( $description ); ?></span>
	<input type="hidden" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][title]" value="<?php echo esc_attr( $value['title'] ); ?>"/>
	<?php if ( isset( $value['field_id'] ) && ! empty( $value['field_id'] ) ) { ?>
		<input type="hidden" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][field_id]" value="<?php echo esc_attr( $value['field_id'] ); ?>"/>
	<?php } ?>
	<input <?php echo $attr_required; ?> <?php echo $data_field_name; ?> <?php echo ( isset( $condition_attr ) && ! empty( $condition_attr ) ) ? $condition_attr : ''; ?> type="number" class="<?php echo esc_attr( $class_required ); ?> <?php echo esc_attr( $value['field_name'] ); ?> mb-form-field" id="mb-field-<?php echo esc_attr( $value['field_name'] ); ?>" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][value]" placeholder="<?php echo esc_attr( $placeholder ); ?>" value="<?php echo esc_attr( $default_value ); ?>" <?php echo ( ! empty( $min ) ) ? sprintf( 'min="%s"', $min ) : ''; ?> <?php echo ( ! empty( $max ) ) ? sprintf( 'max="%s"', $max ) : ''; ?> step="1">
</div>

