
<div class="mb-field mb-field-type-<?php echo esc_attr( $field_type ); ?> mb-field-<?php echo esc_attr( $value['field_name'] ); ?>">
	<label for="mb-field-<?php echo esc_attr( $value['field_name'] ); ?>">
		<?php echo esc_html( $value['title'] ); ?>
		<?php echo ( isset( $is_field_required ) && $is_field_required ) ? '<span class="mb-required-symbol">(*)</span>' : ''; ?>
	</label>
	<span class="mb-field-desc"><?php echo wp_kses_post( $description ); ?></span>
	<input type="hidden" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][title]" value="<?php echo esc_attr( $value['title'] ); ?>"/>
	<?php if ( isset( $value['field_id'] ) && ! empty( $value['field_id'] ) ) { ?>
		<input type="hidden" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][field_id]" value="<?php echo esc_attr( $value['field_id'] ); ?>"/>
	<?php } ?>
	<ul <?php echo $data_field_name; ?> class="mb-radio-wrap mb-form-field <?php echo esc_attr( $class_required ); ?>" <?php echo ( isset( $condition_attr ) && ! empty( $condition_attr ) ) ? $condition_attr : ''; ?>>
		<?php
		if ( is_array( $options ) && ! empty( $options ) ) {
			foreach ( $options as $key => $val ) {
				?>
					<li class="mb-radio-item">
						<label class="mb-radio-item-label" for="mb-radio-item-<?php echo esc_attr( $value['field_name'] ); ?>-<?php echo esc_attr( $key ); ?>">
							<input type="radio" class="<?php echo esc_attr( $class_required ); ?> mb-radio-field mb-radio-item-<?php echo esc_attr( $value['field_name'] ); ?>-<?php echo esc_attr( $key ); ?>" id="mb-radio-item-<?php echo esc_attr( $value['field_name'] ); ?>-<?php echo esc_attr( $key ); ?>" name="pm_personalized[<?php echo esc_attr( $value['field_name'] ); ?>][value]" value="<?php echo esc_attr( $val ); ?>" <?php checked( $val, $default_value ); ?>>
							<span class="mb-radio-item-title"><?php echo esc_html( $val ); ?></span>
						</label>
					</li>
				<?php
			}
		}
		?>
	</ul>
</div>

